Bug 1809753 - [ESXi][RHEL7.9]open-vm-tools add appinfo plugin patch
Summary: [ESXi][RHEL7.9]open-vm-tools add appinfo plugin patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: open-vm-tools
Version: 7.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.9
Assignee: Cathy Avery
QA Contact: ldu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 19:50 UTC by Cathy Avery
Modified: 2020-10-12 05:56 UTC (History)
15 users (show)

Fixed In Version: open-vm-tools-11.0.5-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 19:47:47 UTC
Target Upstream Version:
cavery: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:3895 0 None None None 2020-09-29 19:48:03 UTC

Description Cathy Avery 2020-03-03 19:50:59 UTC
Add patch https://github.com/vmware/open-vm-tools/commit/f1f0b812e7fb9ccf405fcfd48ddb4d65e8532eef to open-vm-tools 11.0.5

Comment 2 Cathy Avery 2020-03-04 12:35:21 UTC
Lili,

Do we know how to test this? We can ask vmware if not.

Thanks!

Comment 4 Cathy Avery 2020-03-04 16:43:44 UTC
John,

What specific final rev of open-vm-tools will this patch be part of ie 11.0.5.x or 11.1.0? Right now I see it it stable-11.0.5-appinfo.

In the future I will need that type of info when I include patches.

Thanks

Comment 7 John Savanyo 2020-03-12 03:35:52 UTC
(In reply to Cathy Avery from comment #4)
> What specific final rev of open-vm-tools will this patch be part of ie
> 11.0.5.x or 11.1.0? Right now I see it it stable-11.0.5-appinfo.
> 
> In the future I will need that type of info when I include patches.
> 
> Thanks

This patch will be included in future 11.1.0 release.

Comment 8 Cathy Avery 2020-03-16 12:50:14 UTC
Moving the rpm issue and patch request to the correct BZ.

(In reply to Ravindra Kumar from comment #10)
> This commit
> https://src.fedoraproject.org/rpms/open-vm-tools/c/
> 4f1758de5373a88d7a944241741ee309383bc476?branch=f27 added that macro.
> 
> In Fedora 28+ these are not needed. We need to remove these going forward
> from Fedora.
> 
> However, we need these for RHEL 7.x. Could you please replace "%{?ldconfig}"
> lines with "/sbin/ldconfig" and try?
> 
> This will also need following dependencies:
> 
> Requires(post): /sbin/ldconfig
> Requires(postun): /sbin/ldconfig
> 
> Is the new package working fine for RHEL 8?

Could you please send a patch?

Cathy

Comment 9 Ravindra Kumar 2020-03-17 06:33:21 UTC
(In reply to Cathy Avery from comment #8)
> Could you please send a patch?

I will try to provide you one by tomm.

Comment 10 Cathy Avery 2020-03-20 15:22:53 UTC
We just had BZ 1815549 open up on rebase 7.9 for the ldconfig problem without the app info patch so lets use that for tracking.

Cathy

Comment 11 John Savanyo 2020-03-20 20:10:30 UTC
I can't access BZ 1815549, can you CC me?

Comment 12 Cathy Avery 2020-03-21 19:10:40 UTC
(In reply to John Savanyo from comment #11)
> I can't access BZ 1815549, can you CC me?

Done.

Comment 13 Ravindra Kumar 2020-03-25 03:39:29 UTC
(In reply to Cathy Avery from comment #8)
> Could you please send a patch?

Please use this patch - https://src.fedoraproject.org/rpms/open-vm-tools/c/de4cf5cfe9cd2b30a48e74849674b85e6181e675?branch=master.

Comment 24 ldu 2020-04-17 01:49:47 UTC
Verified this bug on RHEL7.9 with open-vm-tools-11.0.5-2.el7.x86_64.
All appinfo test case passed.
So change status to verified.

Comment 26 errata-xmlrpc 2020-09-29 19:47:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (open-vm-tools bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:3895


Note You need to log in before you can comment on or make changes to this bug.